Shipping Module is an adapter between Shirtplatform Carriers and various production Shipping Providers.
GET /accounts/{accountId}/shippingModules

Get a list of ShippingModules for your account.

Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
filterId query   optional id of a saved shipping-module filter; empty string returns all
page query 0 int zero-based page index
size query 10 int number of items per page
Response Codes
Code Condition
200 the list of shipping modules was successfully retrieved
Response Body
Media Type Data Type Description
application/json PagedData
application/xml PagedData
Response (XML)
<pagedData>
  <records>...</records>
  <totalElements>...</totalElements>
</pagedData>
Response (JSON)
{
  "pagedData" : {
    "records" : [ { }, { } ],
    "totalElements" : 12345
  }
}
GET /accounts/{accountId}/shippingModules/{moduleId}

Get a single shipping module by its id.

Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
moduleId required path   int the unique identifier of the shipping module
Response Codes
Code Condition
200 the shipping module was successfully retrieved
Response Body
Media Type Data Type Description
application/json ShippingModule
application/xml ShippingModule
Response (XML)
<shippingModule>
  <id>...</id>
  <version>...</version>
  <name>My DPD Integration</name>
  <apiUser>...</apiUser>
  <apiKey>...</apiKey>
  <deleted>...</deleted>
  <moduleType>
    <id>...</id>
    <name>SPOD</name>
  </moduleType>
</shippingModule>
Response (JSON)
{
  "shippingModule" : {
    "id" : 12345,
    "version" : 12345,
    "name" : "My DPD Integration",
    "apiUser" : "...",
    "apiKey" : "...",
    "deleted" : true,
    "moduleType" : {
      "id" : 12345,
      "name" : "SPOD"
    }
  }
}
GET /accounts/{accountId}/shippingModules/{moduleId}/providers

Get a list of Shipping Providers for a Shipping Module. The providers are the concrete production carriers supported by the module's type (for example the couriers a given shipping integration can dispatch to).

Parameters
Name In Default Constraints Description
x-auth-token header     The authentication token
accountId required path   int the unique identifier of the account
moduleId required path   int the unique identifier of the shipping module
filterId query   optional id of a saved shipping-provider filter; empty string returns all
page query 0 int zero-based page index
size query 10 int number of items per page
Response Codes
Code Condition
200 the list of shipping providers was successfully retrieved
Response Body
Media Type Data Type Description
application/json PagedData
application/xml PagedData
Response (XML)
<pagedData>
  <records>...</records>
  <totalElements>...</totalElements>
</pagedData>
Response (JSON)
{
  "pagedData" : {
    "records" : [ { }, { } ],
    "totalElements" : 12345
  }
}